## qtzeitgeist 0.7.0

=== CMakeLists.txt ===
project(QtZeitgeist)

# Minimal CMAKE version
cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(Qt4 4.7.0 COMPONENTS QtCore QtDBus QtTest REQUIRED)


set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "7")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "QtZeitgeist-${CPACK_PACKAGE_VERSION}")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")

#use CPack for packaging code up
include(CPack)


if(QT4_FOUND)
	include_directories(${QT_INCLUDE_DIR})
	include_directories(${QT_QT_INCLUDE_DIR})
	include_directories(${QT_QTCORE_INCLUDE_DIR})
	include_directories(${QT_QTDBUS_INCLUDE_DIR})
endif(QT4_FOUND)

set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

configure_file(
    "${CMAKE_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in"
    "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake")

# Generate pkg-config file
configure_file(${CMAKE_SOURCE_DIR}/QtZeitgeist.pc.in ${CMAKE_BINARY_DIR}/QtZeitgeist.pc)
install(FILES ${CMAKE_BINARY_DIR}/QtZeitgeist.pc DESTINATION lib/pkgconfig)

add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(tests)

# Generate cmake file
get_target_property(QZEITGEIST_LIBRARY qzeitgeist LOCATION)
configure_file(QZeitgeistConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/QZeitgeistConfig.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QZeitgeistConfig.cmake DESTINATION ${CMAKE_INSTALL_PREFIX}/share/qzeitgeist/cmake)

=== include/CMakeLists.txt ===
add_subdirectory(QtZeitgeist)

=== src/CMakeLists.txt ===
set(QT_DONT_USE_QTGUI "YES")
include(${QT_USE_FILE})

set(INC_DIR ${CMAKE_SOURCE_DIR}/include)
include_directories(${INC_DIR})

set(generated_SRCS
    _gen/blacklistinterface.cpp
    _gen/datasourceinterface.cpp
    _gen/loginterface.cpp
    _gen/monitoradaptor.cpp
)

set(generated_HDRS
    _gen/blacklistinterface.h
    _gen/datasourceinterface.h
    _gen/loginterface.h
    _gen/monitoradaptor.h
)

set(library_SRCS
    ${generated_SRCS}
    qtzeitgeist.cpp
    datasourceregistry.cpp
    log.cpp
    monitor.cpp
    datamodel/datasource.cpp
    datamodel/event.cpp
    datamodel/subject.cpp
    datamodel/timerange.cpp
)

set(library_MOC_HDRS
    ${generated_HDRS}
    ${INC_DIR}/QtZeitgeist/datasourceregistry.h
    ${INC_DIR}/QtZeitgeist/log.h
    ${INC_DIR}/QtZeitgeist/monitor.h
    ${INC_DIR}/QtZeitgeist/qtzeitgeist.h
    ${INC_DIR}/QtZeitgeist/DataModel/datasource.h
    ${INC_DIR}/QtZeitgeist/DataModel/event.h
    ${INC_DIR}/QtZeitgeist/DataModel/subject.h
    ${INC_DIR}/QtZeitgeist/DataModel/timerange.h
    monitor_p.h
)

qt4_wrap_cpp(library_MOC_SRCS ${library_MOC_HDRS})
add_library(qzeitgeist SHARED ${library_SRCS} ${library_MOC_SRCS})
target_link_libraries(qzeitgeist ${QT_LIBRARIES} ${QDBUS_LDFLAGS})
set_target_properties(qzeitgeist PROPERTIES VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}" SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
install(TARGETS qzeitgeist EXPORT QZeitgeistExport DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
install(EXPORT QZeitgeistExport DESTINATION ${CMAKE_INSTALL_PREFIX}/share/qzeitgeist/cmake NAMESPACE QZEITGEIST_)

=== tests/CMakeLists.txt ===
include(${QT_USE_FILE})

set(INC_DIR ${CMAKE_SOURCE_DIR}/include)
include_directories(${INC_DIR})

add_subdirectory(datasourceregistry)
add_subdirectory(log)

=== include/QtZeitgeist/CMakeLists.txt ===
set(library_HDRS
    DataSourceRegistry
    datasourceregistry.h
    Log
    log.h
    Monitor
    monitor.h
    QtZeitgeist
    qtzeitgeist.h
    Interpretation
    interpretation.h
    Manifestation
    manifestation.h
)

install(FILES ${library_HDRS} DESTINATION include/QtZeitgeist)

add_subdirectory(DataModel)

=== tests/datasourceregistry/CMakeLists.txt ===
include(${QT_USE_FILE})

set(INC_DIR ${CMAKE_SOURCE_DIR}/include)
include_directories(${INC_DIR})

set(test-dsr_SRCS
    test-dsr.cpp
)

set(test-dsr_HDRS
    test-dsr.h
)

QT4_WRAP_CPP(test-dsr_MOC_SRCS ${test-dsr_HDRS})
QT4_AUTOMOC(${test-dsr_SRCS})

add_executable(test-dsr ${test-dsr_SRCS} ${test-dsr_MOC_SRCS})
target_link_libraries(test-dsr qzeitgeist ${QT_LIBRARIES})

=== include/QtZeitgeist/DataModel/CMakeLists.txt ===
set(library_HDRS
    DataSource
    datasource.h
    Event
    event.h
    Subject
    subject.h
    TimeRange
    timerange.h
)

install(FILES ${library_HDRS} DESTINATION include/QtZeitgeist/DataModel)

=== debian/changelog ===
qtzeitgeist (0.7.0-1build1) oneiric; urgency=low

  * No-change rebuild to pick up new Qt library path.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 25 Aug 2011 20:02:29 +0200

qtzeitgeist (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #626848)

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 15 May 2011 16:47:29 -0300

=== debian/control ===
Source: qtzeitgeist
Priority: extra
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), cmake, libqt4-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://zeitgeist-project.com/
Vcs-Git: git://git.debian.org/pkg-kde/krap/qtzeitgeist.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/qtzeitgeist.git;a=summary

Package: libqzeitgeist0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: wrapper library around the Zeitgeist DBus API for Qt
 Zeitgeist is a service which logs the user's activities and notifications,
 anywhere from files opened to websites visited and conversations, and makes
 this information readily available for other applications to use. It is also
 able to establish relationships between items based on similarity and usage 
 patterns.
 .
 libQZeitgeist is a wrapper library around the Zeitgeist DBus API for Qt.

Package: libqzeitgeist-dbg
Section: debug
Architecture: any
Depends: libqzeitgeist0 (= ${binary:Version}), ${misc:Depends}
Recommends: libqt4-dbg
Description: debugging symbols for libqzeitgeist
 Zeitgeist is a service which logs the user's activities and notifications,
 anywhere from files opened to websites visited and conversations, and makes
 this information readily available for other applications to use. It is also
 able to establish relationships between items based on similarity and usage 
 patterns.
 .
 This package provides the debugging symbols for libqtzeitgeist.


Package: libqzeitgeist-dev
Section: libdevel
Architecture: any
Depends: libqzeitgeist0 (= ${binary:Version}), ${misc:Depends}
Description: development files for libqzeitgeist
 Zeitgeist is a service which logs the user's activities and notifications,
 anywhere from files opened to websites visited and conversations, and makes
 this information readily available for other applications to use. It is also
 able to establish relationships between items based on similarity and usage 
 patterns.
 .
 This package provides the development files for libqtzeitgeist.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --dbg-package=libqzeitgeist-dbg

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://releases.zeitgeist-project.com/qzeitgeist/ QtZeitgeist-(.*)\.tar\.bz2
